attributetype.hh File Reference
`#include <cstdint>`
`#include <vector>`
`#include <mia/core/defines.hh>`
`#include <miaconfig.h>`
Include dependency graph for attributetype.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | attribute_type< T >
struct | attribute_type< std::vector< T > >
struct | EAttributeType

## Macros

#define | ATTR_TYPEID(T, ID)

## Functions

| ATTR_TYPEID (bool, attr_bool)
| ATTR_TYPEID (double, attr_double)
| ATTR_TYPEID (float, attr_float)
| ATTR_TYPEID (int16_t, attr_sshort)
| ATTR_TYPEID (int32_t, attr_sint)
| ATTR_TYPEID (int64_t, attr_slong)
| ATTR_TYPEID (int8_t, attr_schar)
| ATTR_TYPEID (std::string, attr_string)
| ATTR_TYPEID (uint16_t, attr_ushort)
| ATTR_TYPEID (uint32_t, attr_uint)
| ATTR_TYPEID (uint64_t, attr_ulong)
| ATTR_TYPEID (uint8_t, attr_uchar)

## Macro Definition Documentation

## ATTR_TYPEID

#define ATTR_TYPEID | ( |  | T,
|  |  | ID )

Value:
template <> \
struct attribute_type<T> : public EAttributeType{ \
static const int value = ID; \
};
EAttributeType
Definition attributetype.hh:32
attribute_type
Definition attributetype.hh:65

Definition at line 69 of file attributetype.hh.

## Function Documentation

## ATTR_TYPEID() [1/12]

ATTR_TYPEID | ( | bool | ,
|  | attr_bool | )

## ATTR_TYPEID() [2/12]

ATTR_TYPEID | ( | double | ,
|  | attr_double | )

## ATTR_TYPEID() [3/12]

ATTR_TYPEID | ( | float | ,
|  | attr_float | )

## ATTR_TYPEID() [4/12]

ATTR_TYPEID | ( | int16_t | ,
|  | attr_sshort | )

## ATTR_TYPEID() [5/12]

ATTR_TYPEID | ( | int32_t | ,
|  | attr_sint | )

## ATTR_TYPEID() [6/12]

ATTR_TYPEID | ( | int64_t | ,
|  | attr_slong | )

## ATTR_TYPEID() [7/12]

ATTR_TYPEID | ( | int8_t | ,
|  | attr_schar | )

## ATTR_TYPEID() [8/12]

ATTR_TYPEID | ( | std::string | ,
|  | attr_string | )

## ATTR_TYPEID() [9/12]

ATTR_TYPEID | ( | uint16_t | ,
|  | attr_ushort | )

## ATTR_TYPEID() [10/12]

ATTR_TYPEID | ( | uint32_t | ,
|  | attr_uint | )

## ATTR_TYPEID() [11/12]

ATTR_TYPEID | ( | uint64_t | ,
|  | attr_ulong | )

## ATTR_TYPEID() [12/12]

ATTR_TYPEID | ( | uint8_t | ,
|  | attr_uchar | )